## Apache Zeta Components Manual :: Docs For Class ezcMvcHttpRawRequest

### MvcTools::ezcMvcHttpRawRequest

### Class ezcMvcHttpRawRequest

Class that encapsulates a semi-parsed HTTP request by using PHP's super globals to extract information.

Source for this file: /MvcTools/src/structs/request_raw_http.php

    ezcBaseStruct
       |
       --ezcMvcHttpRawRequest

Version: | //autogentag//

### Member Variables

public string | `$body` Contains the request body (read from php://stdin if available).
public array(string | `$headers` Contains an array of headers, where the key is the original HTTP header name, and the value extracted from the $_SERVER superglobal.

### Method Summary

public static ezcMvcHttpRawRequest | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcHttpRawRequest | `__construct( [ $headers = null] , [ $body = ''] )` Constructs a new ezcMvcHttpRawRequest.

### Methods

#### __set_state

static ezcMvcHttpRawRequest __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcHttpRawRequest __construct( [array(string $headers = null] , [string $body = ''] )

Constructs a new ezcMvcHttpRawRequest.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$headers` | array(string |
`$body` | string |

Documentation generated by phpDocumentor 1.4.3